#!/bin/sh

MYSTATE=`cat /sys/devices/platform/soc@0/soc@0:bus@32c00000/32e40000.usb/ci_hdrc.0/udc/ci_hdrc.0/state`
PRINTER_SHARE_NAME=DLTMSHARE
GP_MSD=`grep -i mountsharedfolder /home/root/.config/GraphicProducts/LabelForgePro.ini | cut -d'=' -f 2`

if [ "$MYSTATE" = "configured" ]
then
    if [ "$GP_MSD" = "true" ]
    then
        umount /home/root/Desktop/$PRINTER_SHARE_NAME
        rmdir /home/root/Desktop/$PRINTER_SHARE_NAME
        dbus-send --system --print-reply --dest=com.graphicproducts.gphome / local.GPHome.refreshFileExplorerView
    fi
    systemctl start usbbd.service
else
    systemctl stop usbbd.service
    if [ "$GP_MSD" = "true" ]
    then
        echo /home/root/internal_usb.img > /sys/kernel/config/usb_gadget/g1/functions/mass_storage.0/lun.0/file
        mkdir /home/root/Desktop/$PRINTER_SHARE_NAME
        mount /home/root/internal_usb.img /home/root/Desktop/$PRINTER_SHARE_NAME
        dbus-send --system --print-reply --dest=com.graphicproducts.gphome / local.GPHome.refreshFileExplorerView
    fi
fi
